[tox]
# We only want to test on Python 3.8, could add more versions here
envlist =
   py38

# Technicality, keep in place
isolated_build = True

[testenv]
# List here dependencies needed for running tests, but not for
# just installing the packages
deps =
    pytest
    pytest-cov
    pytest-mock
    pytest-randomly

# Commands to run the tests, here
#   - run pytest on our tests directory
#   - collect coverage for biolab package
#   - use fixed seed 12345 for random generators (random, numpy.random)
#   - randomize order of tests
commands =
    pytest --cov=randvis --randomly-seed=12345 tests

